package de.intevation.flys.client.shared.model;

import com.smartgwt.client.widgets.grid.ListGridRecord;


/**
 * The WQInfoRecord is a wrapper to put  WQ Info objects into
 * a ListGrid.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class WQInfoRecord extends ListGridRecord {

    /** The artifact collection. */
    protected WQInfoObject wqInfo;


    /**
     * The default constructor.
     *
     * @param info The wq info object.
     */
    public WQInfoRecord(WQInfoObject info) {
        this.wqInfo = info;

        setName(info.getName());
        setType(info.getType());
        if (info.getValue() != null)
            setValue(info.getValue());
        else
            setValue(info.getValue());
    }


    public void setName(String name) {
        setAttribute("name", name);
    }


    public String getName() {
        return getAttributeAsString("name");
    }


    public void setType(String type) {
        setAttribute("type", type);
    }


    public String getType() {
        return getAttributeAsString("type");
    }

    public void setValue(double value) {
        setAttribute("value", value);
    }


    public double getValue() {
        return getAttributeAsDouble("value");
    }


    public WQInfoObject getWQInfo() {
        return wqInfo;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
